CVE-2018-20374

NameCVE-2018-20374
DescriptionAn issue was discovered in Tiny C Compiler (aka TinyCC or TCC) 0.9.27. Compiling a crafted source file leads to an 8 byte out of bounds write in the use_section1 function in tccasm.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcc (PTS)buster0.9.27-8vulnerable
bookworm, bullseye, sid, trixie0.9.27+git20200814.62c30a4a-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tccsource(unstable)(unfixed)unimportant

Notes

Negligible security impact
https://lists.nongnu.org/archive/html/tinycc-devel/2018-12/msg00015.html

Search for package or bug name: Reporting problems